[↩ Nazad na sadržaj](../README.md)

# Matematičke funkcije

C++ pruža nekoliko baš lepih i korisnih matematičkih funkcija koje mozete da koristite u vasem kodu ako uključite odgovarajuću biblioteku:
```c++
#include <cmath>
```

Funkcije koje su nama najbitnije su
- `max(a, b)` - računa maksimum dva data broja
- `min(a, b)` - računa minimum dva data broja
- `abs(a)` - računa apsolutnu vrednost datog broja
- `sqrt(n)` - računa kvadratni koren (**SQ**uare **R**oo**T**) broja
- `pow(broj, stepen)` - stepenuje dat broj
- `floor(b)` - zaokružuje broj nadole (npr 3.4 u 3)
- `ceil(b)` - zaokružuje broj nagore (3.4 u 4)
---
Kako se ove funkcije koriste pogledajte u sledećem programu:

```c++
#include <cmath>
#include <iostream>

using namespace std;

int main() {
    cout << "min(4, 2) = " << min(4, 2) << endl;
    cout << "max(3.5, -5.0) = " << max(3.5, -5.0) << endl;
    cout << "abs(4.66) = " << abs(4.66) << endl;
    cout << "abs(-1) = " << abs(-1) << endl;
    cout << "sqrt(4) = " << sqrt(4) << endl;
    cout << "sqrt(2) = " << sqrt(2) << endl;
    cout << "pow(5, 2) = " << pow(5, 2) << endl;
    cout << "pow(2, 3) = " << pow(2, 3) << endl;
}
```
ispisuje
```
min(4, 2) = 2
max(3.5, -5.0) = 3.5
abs(4.66) = 4.66
abs(-1) = 1
sqrt(4) = 2
sqrt(2) = 1.41421
pow(5, 2) = 25
pow(2, 3) = 8
```
