[↩ Nazad na sadržaj](../README.md)

# Šta su biblioteke u jeziku C++?

Standardni C++ je napravljen tako da stvara što manje i brže programe koji mogu da rade na svemu - od najjačih računara do jeftinih veš masina. Nisu potrebe svih uređaja iste, te naprednije funkcionalnosti jezika moraju ručno da se dodaju (*include*-uju) u program. 

Primeri takvih biblioteka su:
- `iostream` - služi za unos i ispis podataka, tj. `cin` i `cout`
- `iomanip` - za konfiguraciju ispisa, koristimo je kada želimo na primer da postavimo broj decimala pri ispisu (`setprecision(n)`). [O tome više ovde](./ispis_realnih.md).
- `cmath` - uključuje matematičke fuknkcije kao sto su `sqrt` i `pow`. [O tome više ovde](./matematicke_funkcije.md).

Ubuduće ćemo koristiti puno više biblioteka, i da ne bismo morali u svakom programu da ih dodajemo postoji kraći nacin:
```c++
#include <bits/stdc++.h>
```

Ova linija umesto vas uključi sve standardne biblioteke C++a (otud `stdc++`), a to je i sve što nam je za sada potrebno.

```c++
#include <bits/stdc++.h>

using namespace std;

int main() {
    cout << "Radi!!!" << endl;
    return 0;
}
```
